package java.awt;

public class Point {
   // $FF: renamed from: x int
   public int field_0;
   // $FF: renamed from: y int
   public int field_1;

   public Point(int x, int y) {
      this.field_0 = x;
      this.field_1 = y;
   }

   public void move(int x, int y) {
      this.field_0 = x;
      this.field_1 = y;
   }

   public void translate(int x, int y) {
      this.field_0 += x;
      this.field_1 += y;
   }

   public int hashCode() {
      return this.field_0 ^ this.field_1 * 31;
   }

   public boolean equals(Object obj) {
      if (obj instanceof Point) {
         Point pt = (Point)obj;
         return this.field_0 == pt.field_0 && this.field_1 == pt.field_1;
      } else {
         return false;
      }
   }

   public String toString() {
      return this.getClass().getName() + "[x=" + this.field_0 + ",y=" + this.field_1 + "]";
   }
}
